Subject: bug#20602: nnimap-address not passed to nnimap-open-server anymore

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Jan 2017 19:25:05 +0100

Sorry for the late response; due to a misunderstanding the Gnus bug
reports went to a part of the bug tracker I wasn't checking.

Reiner Steib <[email-masked]> writes:

> | Opening connection to selname via tls...
> | open-network-stream: selname/993 Name or service not known
>
> On edebugging `nnimap-open-server', I found that the argument `defs'
> (which should contain `nnimap-address', IIUC), is nil.
>
> (deffoo nnimap-open-server (server &optional defs no-reconnect)

When I try to reproduce this, defs is never nil for me.  Are you still
seeing this problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no